package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.comprehensive.domain.SrsKnrdApply;
import com.srs.comprehensive.domain.SrsStudent;
import com.srs.comprehensive.domain.SrsZxjApply;
import com.srs.comprehensive.domain.SrsZxjApprovalRecord;
import com.srs.comprehensive.domain.Vo.CphSearch;


/**
 * 【请填写功能名称】Service接口
 *
 * @author srs
 * @date 2024-03-17
 */
public interface ISrsZxjApplyService extends IService<SrsZxjApply> {

    SrsZxjApply nextApply(CphSearch param);

    List<SrsZxjApply> listView(CphSearch param);

    List<SrsZxjApply> listRecordView(CphSearch param);

    int batchUpdate(SrsZxjApply srsZxjApply);
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsZxjApply selectSrsZxjApplyById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param srsZxjApply 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<SrsZxjApply> selectSrsZxjApplyList(SrsZxjApply srsZxjApply);

    /**
     * 新增【请填写功能名称】
     *
     * @param srsZxjApply 【请填写功能名称】
     * @return 结果
     */
    int insertSrsZxjApply(SrsZxjApply srsZxjApply);

    /**
     * 修改【请填写功能名称】
     *
     * @param srsZxjApply 【请填写功能名称】
     * @return 结果
     */
    int updateSrsZxjApply(SrsZxjApply srsZxjApply);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    int deleteSrsZxjApplyByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    int deleteSrsZxjApplyById(Long id);

    /**
     * 根据学号查询学生信息（包括家庭成员）
     */

    SrsStudent selectStudentByXh(SrsStudent srsStudent);


    /**
     * 助学金撤回
     * @param srsZxjApply
     * @return
     */
    int revoke(SrsZxjApply srsZxjApply);


    //锁定和解锁
    int lock(SrsZxjApply srsZxjApply);
    int unlock(SrsZxjApply srsZxjApply);

    List<SrsZxjApply> countXw(CphSearch param);

    int updateSignature(CphSearch cphSearch);

    /**
     * 仅更新申请理由（sqly）
     */
    int updateSqly(Long id, String sqly);
}
